org.richfaces.component.behavior

## Class AnonymousFunctionCall

- java.lang.Object
- - org.richfaces.javascript.ScriptStringBase
  - - org.richfaces.component.behavior.AnonymousFunctionCall

- All Implemented Interfaces:
    org.richfaces.javascript.ScriptString

      public class AnonymousFunctionCall
      extends org.richfaces.javascript.ScriptStringBase

- - ### Field Summary

    - ### Fields inherited from class org.richfaces.javascript.ScriptStringBase

      `COLON, COMMA, DOT, EMPTY_STRING, EQUALS, FUNCTION, LEFT_CURLY_BRACKET, LEFT_ROUND_BRACKET, LEFT_SQUARE_BRACKET, RIGHT_CURLY_BRACKET, RIGHT_ROUND_BRACKET, RIGHT_SQUARE_BRACKET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnonymousFunctionCall(Object... parameterNames)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnonymousFunctionCall` | `addParameterName(Object... param)`
    `AnonymousFunctionCall` | `addParameterValue(Object... param)`
    `AnonymousFunctionCall` | `addToBody(Object body)`
    `void` | `appendScript(Appendable target)`

    - ### Methods inherited from class org.richfaces.javascript.ScriptStringBase

      `appendScriptToStringBuilder, toScript, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AnonymousFunctionCall

          public AnonymousFunctionCall(Object... parameterNames)

  - ### Method Detail

    - #### appendScript

          public void appendScript(Appendable target)
                            throws IOException

      Throws:
        `IOException`

    - #### addParameterName

          public AnonymousFunctionCall addParameterName(Object... param)

    - #### addParameterValue

          public AnonymousFunctionCall addParameterValue(Object... param)

    - #### addToBody

          public AnonymousFunctionCall addToBody(Object body)

Copyright © 2014 JBoss by Red Hat. All rights reserved.